Subject: Re: [PATCH 4/5] i2c: MPC837xRDB Power Management and GPIO expander driver

From: Anton Vorontsov <[email-masked]>
Date: Thu, 27 Mar 2008 23:02:34 +0300

Incidentally I used some weird .config without preemption and
CONFIG_ENABLE_MUST_CHECK. Heh.

[...]
> + * I don't have specifications for the MCU firmware that is used on the
> + * MPC8349E-mITX/MPC837XRDB boards, I found this register and bits positions
> + * by the trial&error method.
> + */
> +#define MCU_REG_CTRL	0x20
> +#define MCU_CTRL_POFF	0x40
> +#define MCU_NUM_GPIO	2
> +
> +struct mcu {
> +	spinlock_t lock;

This should be mutex of course, otherwise preemptable kernel
will complain.

[...]
> +	gpiochip_remove(&mcu->of_gc.gc);

Should check return value.

-- 
Anton Vorontsov
email: [email-masked]
irc://irc.freenode.net/bd2